### Name: ipanel.smooth
### Title: Panelplot for itermplot
### Aliases: ipanel.smooth
### Keywords: hplot

### ** Examples

r.lm <- lm(Sepal.Length~Sepal.Width+Petal.Length+Petal.Width+Species,
           data=iris)
par(mfrow=c(2,2),pty="s")
itermplot(r.lm, se = TRUE, partial.res=TRUE, smooth=ipanel.smooth,
          lwd.smth = 3, pixs = 2, ask=FALSE)

if (require(SwissAir)) {
  par(mfrow=c(1,1))
  dat <- AirQual[,c("ad.O3","ad.NOx","ad.T","ad.Td","ad.WS")]
  dat$ad.O3 <- log(dat$ad.O3)
  dat$ad.NOx <- log(dat$ad.NOx)
  dat$ad.WS <- log(dat$ad.WS)
  pairs(dat,
        panel=ipanel.smooth)
} else print("Package SwissAir is not available")




